<div class="animated fadeIn">
	<div class="row">
		<div class="col-sm-12">

			<div class="card card-accent-primary">
				<div class="card-header">Select Data Logger</div>
				<div class="card-body">
					<ngForm>
						<div class="form-group">
							<label for="dataLoggerId">Data Logger Id<span class="req">*</span></label>
							<input type="text" class="form-control" id="dataLoggerId" [(ngModel)]="fetchdataLoggerId" name="dataLoggerId" placeholder="Enter Data Logger ID">
						</div>
						<button class="btn btn-primary float-right" (click)="fetchDLDetails()">
							<button type="button" class="btn btn-primary btn-sm" *ngIf="!isLoading">Fetch details</button>
							<div *ngIf="isLoading">
								<i class="fa fa-spinner fa-spin float-right [spinner]" style="font-size:24px"></i>
							</div>
						</button>
					</ngForm>
				</div>
			</div>

			<div class="card card-accent-primary" *ngIf="dlInfo.dataLoggerId">
				<div class="card-header">Edit Data Logger Details</div>
				<div class="card-body">
					<form [formGroup]="dlForm" (ngSubmit)="onSubmit()">
				        <div class="form-group">
				          <label for="dataLoggerId">Data Logger</label>
				          <input 
				          	  type="text"
				           	  formControlName="dataLoggerId"
				           	  class="form-control"
				           	  readonly="readonly">
				        </div>

				        <div class="form-group">
				          <label for="softwareVersion">DL Software Version</label>
				          <input 
				          	  type="text"
				           	  formControlName="softwareVersion"
				           	  class="form-control"
				           	  placeholder="Enter Software Version" 
				           	  >
				           	  <span 
				            *ngIf="!dlForm.get('softwareVersion').valid && dlForm.get('softwareVersion').touched"
				                class="help-block">Please enter DL Software Version!</span>
				        </div>
				        
				        <div class="form-group">
				          <label for="hardwareVersion">DL Hardware Version</label>
				          <input 
				          	  type="text"
				           	  formControlName="hardwareVersion"
				           	  class="form-control"
				           	  placeholder="Enter Hardware Version" 
				           	  >
				           	  <span 
				            *ngIf="!dlForm.get('hardwareVersion').valid && dlForm.get('hardwareVersion').touched"
				                class="help-block">Please enter DL Hardware Version!</span>
				        </div>

				        <div class="form-group">
				          <label for="vendorName">Vendor Name</label>
				          <input 
				          	  type="text"
				           	  formControlName="vendorName"
				           	  class="form-control"
				           	  placeholder="Enter Vendor Name" 
				           	 >
				           	 <span 
				                *ngIf="!dlForm.get('vendorName').valid && dlForm.get('vendorName').touched"
				                class="help-block">Please enter Vendor Name!</span>
				        </div>

				        <div class="form-group">
				          <label for="simVendorName">Sim Vendor Name</label>
				          <input 
				          	  type="text"
				           	  formControlName="simVendorName"
				           	  class="form-control"
				           	  placeholder="Enter Sim Vendor Name" 
				           	 >
				           	 <span 
				                *ngIf="!dlForm.get('simVendorName').valid && dlForm.get('simVendorName').touched"
				                class="help-block">Please enter Sim Vendor Name!</span>
				        </div>

		
				        <div class="form-group">
				          <label for="sNum">Serial Number<span class="req">*</span></label>
				          <input 
				          	  type="text"
				           	  formControlName="sNum"
				           	  class="form-control"
				           	  placeholder="Enter Serial Number" 
				           	 >
				           	 <span 
				                *ngIf="!dlForm.get('sNum').valid && dlForm.get('sNum').touched"
				                class="help-block">Please enter Serial Number!</span>
				        </div>

				        <div class="form-group">
				          <label for="mNum">Mobile Number<span class="req">*</span></label>
				          <input 
				          	  type="text"
				           	  formControlName="mNum"
				           	  class="form-control"
				           	  placeholder="Enter Mobile Number" 
				           	 >
				           	 <span 
				                *ngIf="!dlForm.get('mNum').valid && dlForm.get('mNum').touched"
				                class="help-block">Please enter Mobile Number!</span>
				        </div>

				        <button 
				           class="btn btn-primary"
				           type="submit"
				           [disabled]="dlForm.invalid" (click)="onSubmit()">Submit</button><br>

      				</form>
            	</div>
        	</div>
        </div>
   </div>
</div>
